<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2009 Shawn McKenzie
// http://www.spidean.com
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

function AutoConvert_admin_main($vars)
{
    extract($vars);

    include("header.php");
    OpenTable();

	if (!is_writeable("themes/")) {
		echo '<b>themes/ directory is not writeable!</b><br /><br />'
		.'<a href="'.$_SERVER['REQUEST_URI'].'">Recheck</a>';
		CloseTable();
		include('footer.php');
		exit;
    }

	$themes = at_get_legacy_themes();
    echo '<form method="POST" action="modules/AutoConvert/convert.php">'
	.'<input type="hidden" name="module" value="AutoConvert">'
	.'<input type="hidden" name="op" value="convert">'
	.'Theme to convert:<br />'
	.'<select name="theme">';

	foreach ($themes as $theme) {
		echo '<option>'.$theme.'</option>';
	}
    echo '</select><br /><br />'
	.'New theme name:<br />'
	.'<input type="text" name="newtheme" size="20"><br /><br />'
	.'<input type="submit" value="Convert" name="B1">'
	.'</form>';

    CloseTable();
    include("footer.php");
}

function AutoConvert_admin_complete($vars)
{
    extract($vars);

    include("header.php");

    Opentable();
    echo "Theme converted to: themes/$themedir/<br />";
	echo "[ <a href=\"".$_SERVER['HTTP_REFERER']."\">Convert another</a> ]<br />";
    echo "[ <a target=\"_blank\" href=\"index.php?theme=$themedir\">Preview</a> ]";
    CloseTable();
    
    include("footer.php");
}

function at_get_legacy_themes($dir="themes")
{

    if ($handle = opendir($dir)) {
        while (false !== ($subdir = @readdir($handle))) {
            if (is_dir("$dir/$subdir") &&
                $subdir !== '.' &&
                $subdir !== '..' &&
                !file_exists("$dir/$subdir/theme.cfg"))
            {
                $themelist[] = $subdir;
            }
        }
        closedir($handle);
    }
    natcasesort($themelist);

	return $themelist;
}

?>
