<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2009 Shawn McKenzie
// http://www.spidean.com
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

define('HOME_FILE', true);
define('INDEX_FILE', true);
$_COOKIE['theme'] = base64_encode(basename($tmpthemepath));

require_once(BASEPATH."mainfile.php");
require_once(BASEPATH."$tmpthemepath/theme.php");

function at_themesidebox($block)
{
	themesidebox($block['title'], $block['content']);
}

function at_build_news_commands($type)
{
	$args = array();

	if($type='summary') {
		$args = array(
			'<!-- [news:text:aid] -->',
			'<!-- [posted-by] -->',
			'<!-- [posted-date-time] -->',
			'<!-- [cat-title] -->',
			'<!-- [news:text:counter] -->',
			'<!-- [news:text:topic] -->',
			'<!-- [article-summary] -->',
			'<!-- [article-notes] -->',
			'<!-- [article-more] -->',
			'<!-- [news:text:topicname] -->',
			'<!-- [news:text:topicimage] -->',
			'<!-- [news:text:topictext] -->',
		);
	}
	elseif($type='article') {
		$args = array(
			'<!-- [news:text:aid] -->',
			'<!-- [posted-by] -->',
			'<!-- [posted-date-time] -->',
			'<!-- [cat-title] -->',
			'<!-- [article-full] -->',
			'<!-- [news:text:topic] -->',
			'<!-- [news:text:topicname] -->',
			'<!-- [news:text:topicimage] -->',
			'<!-- [news:text:topictext] -->',
		);
	}
	return $args;
}

if(!function_exists('footmsg')) {
	function footmsg() { }
}

?>